Debian Bug report logs - #553707
please remove squashfs-lzma module (does not work with current kernel)

version graph

Package: lzma-source; Maintainer for lzma-source is Mohammed Adnène Trojette <adn+deb@diwi.org>;

Reported by: Jonathan Nieder <jrnieder@gmail.com>

Date: Sun, 1 Nov 2009 23:57:03 UTC

Severity: important

Found in version lzma/4.43-14

Fixed in version lzma/9.22-1

Done: Mohammed Adnène Trojette <adn+deb@diwi.org>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, debian-mentors@lists.debian.org, <wnpp@debian.org>:
Bug#553707; Package wnpp. (Sun, 01 Nov 2009 23:57:08 GMT) Full text and rfc822 format available.

Acknowledgement sent to Jonathan Nieder <jrnieder@gmail.com>:
New Bug report received and forwarded. Copy sent to debian-mentors@lists.debian.org, <wnpp@debian.org>. (Sun, 01 Nov 2009 23:57:08 GMT) Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Jonathan Nieder <jrnieder@gmail.com>
To: submit@bugs.debian.org
Subject: RFH: lzma -- future of Debian squashfs-lzma
Date: Sun, 1 Nov 2009 17:48:11 -0600
Package: wnpp
X-Debbugs-CC: debian-mentors@lists.debian.org

Hi,

I was thinking about how to bring the lzma package more up to date,
but I’m scared to do anything for fear of breaking squashfs-lzma. :)
So I thought I’d write for advice.

squashfs is a read-only compressed filesystem.  Currently a kernel
module for reading LZMA-compressed squashfs 3.x is packaged for Debian
through the lzma source package.  I think the userspace support is in
squashfs-tools, though I’m not sure since I’ve never tried it.

Good news: squashfs maintainer Phillip Lougher is pushing for
LZMA support in squashfs 4.0 in the mainline kernel v2.6.33 or so. [1]
Packaging this for Debian would perhaps mean backporting the change
for the linux-2.6 package and making sure the squashfs-tools package
has the appropriate support.

 1. How to support current users until an updated kernel enters sid?
    Should the lzma package have to continue to produce an lzma-source
    package?

    I am not excited about making sure this still works with each LZMA
    SDK upgrade.  squashfs-lzma upstream used to just pick one version
    to support (now the version in the mainline kernel is used), and
    I’m afraid having to rebase the patch for each release would slow
    things down a lot.

 2. Once squashfs 4 + lzma is available, is there a need to continue
    to support squashfs 3 + lzma?

    I am hoping not, because it is not clear the current kernel
    patches apply to recent kernels.  But if there is, we can probably
    find some way.

 3. More generally, what do people use squashfs-lzma for, and what
    guarantees do they need in order to do it?

I am hoping some squashfs-lzma user can explain how and perhaps take
on the task of assuring it is well supported for squeeze.  But there
is plenty to do short of that, and I would be glad to help your
efforts in any way I can.

Thoughts?

Thanks,
Jonathan

[1] http://thread.gmane.org/gmane.comp.file-systems.squashfs.devel/79/focus=88




Information forwarded to debian-bugs-dist@lists.debian.org, <wnpp@debian.org>:
Bug#553707; Package wnpp. (Tue, 03 Nov 2009 01:18:04 GMT) Full text and rfc822 format available.

Acknowledgement sent to Michael Prokop <mika@debian.org>:
Extra info received and forwarded to list. Copy sent to <wnpp@debian.org>. (Tue, 03 Nov 2009 01:18:07 GMT) Full text and rfc822 format available.

Message #10 received at 553707@bugs.debian.org (full text, mbox):

From: Michael Prokop <mika@debian.org>
To: Jonathan Nieder <jrnieder@gmail.com>, 553707@bugs.debian.org
Cc: debian-live@lists.debian.org
Subject: Re: Bug#553707: RFH: lzma -- future of Debian squashfs-lzma
Date: Tue, 3 Nov 2009 01:56:51 +0100
[Message part 1 (text/plain, inline)]
[Cc-ing debian-live mailinglist, not sure whether they are
interested in LZMA but if so they should be aware of it.]

* Jonathan Nieder <jrnieder@gmail.com> [20091103 00:14]:

> I was thinking about how to bring the lzma package more up to date,
> but I’m scared to do anything for fear of breaking squashfs-lzma. :)
> So I thought I’d write for advice.

> squashfs is a read-only compressed filesystem.  Currently a kernel
> module for reading LZMA-compressed squashfs 3.x is packaged for Debian
> through the lzma source package.  I think the userspace support is in
> squashfs-tools, though I’m not sure since I’ve never tried it.

> Good news: squashfs maintainer Phillip Lougher is pushing for
> LZMA support in squashfs 4.0 in the mainline kernel v2.6.33 or so. [1]
> Packaging this for Debian would perhaps mean backporting the change
> for the linux-2.6 package and making sure the squashfs-tools package
> has the appropriate support.

>  1. How to support current users until an updated kernel enters sid?
>     Should the lzma package have to continue to produce an lzma-source
>     package?

>     I am not excited about making sure this still works with each LZMA
>     SDK upgrade.  squashfs-lzma upstream used to just pick one version
>     to support (now the version in the mainline kernel is used), and
>     I’m afraid having to rebase the patch for each release would slow
>     things down a lot.

Assuming Squeeze will be released with kernel 2.6.32 and
squashfs/lzma will reach mainline not before 2.6.33 it might be
worth the effort to provide an according squashfs 4/lzma +
squashfs-lzma-tools toolchain.

>  2. Once squashfs 4 + lzma is available, is there a need to continue
>     to support squashfs 3 + lzma?

>     I am hoping not, because it is not clear the current kernel
>     patches apply to recent kernels.  But if there is, we can probably
>     find some way.

I personally don't think it's necessary to provide long-term support
for squashfs 3 + lzma once squashfs 4 + lzma is available, though
I'm not sure what other people think about it.

>  3. More generally, what do people use squashfs-lzma for, and what
>     guarantees do they need in order to do it?

We at grml (http://grml.org/) use it for compressing the entire
rootfs. Thanks to better compression of lzma (compared to zlib)
squashfs-lzma allows us to provide more software on the same ISO
size, though the build time clearly increases.

If you're interested in some stats:

  http://grml.org/grml-live/#lzma-vs-zlib

> I am hoping some squashfs-lzma user can explain how and perhaps take
> on the task of assuring it is well supported for squeeze.  But there
> is plenty to do short of that, and I would be glad to help your
> efforts in any way I can.

Thanks for your efforts.

JFYI: We (the grml team) have working squashfs 4 + lzma patches for
kernel 2.6.31 and an according squashfs-tools package providing
lzma support. Please let me know if we can assist in any way.

regards,
-mika-
-- 
http://michael-prokop.at/  || http://adminzen.org/
http://grml-solutions.com/ || http://grml.org/
[signature.asc (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, <wnpp@debian.org>:
Bug#553707; Package wnpp. (Tue, 03 Nov 2009 11:21:04 GMT) Full text and rfc822 format available.

Acknowledgement sent to Debian Live <debian-live@lists.debian.org>:
Extra info received and forwarded to list. Copy sent to <wnpp@debian.org>. (Tue, 03 Nov 2009 11:21:04 GMT) Full text and rfc822 format available.

Message #15 received at 553707@bugs.debian.org (full text, mbox):

From: Daniel Baumann <daniel@debian.org>
To: Michael Prokop <mika@debian.org>
Cc: Jonathan Nieder <jrnieder@gmail.com>, 553707@bugs.debian.org, debian-live@lists.debian.org
Subject: Re: Bug#553707: RFH: lzma -- future of Debian squashfs-lzma
Date: Tue, 03 Nov 2009 12:12:23 +0100
Michael Prokop wrote:
>> Good news: squashfs maintainer Phillip Lougher is pushing for
>> LZMA support in squashfs 4.0 in the mainline kernel v2.6.33 or so. [1]
>> Packaging this for Debian would perhaps mean backporting the change
>> for the linux-2.6 package and making sure the squashfs-tools package
>> has the appropriate support.

given that the space issues are not so much of a problem since dvds are
quite common these days, it is not worth the efforts in my opinion, .33
will appear early enough (for squeeze we'll do backports anyway), so no
reason for me to invest time for that.

if someone decides to pursue an early lzma integration, i'll of course
am happy to apply patches to squashfs-tools (to build an additional
squashfs-lzma-tools binary package).

Regards,
Daniel

-- 
Address:        Daniel Baumann, Burgunderstrasse 3, CH-4562 Biberist
Email:          daniel.baumann@panthera-systems.net
Internet:       http://people.panthera-systems.net/~daniel-baumann/




Information forwarded to debian-bugs-dist@lists.debian.org, <wnpp@debian.org>:
Bug#553707; Package wnpp. (Tue, 03 Nov 2009 12:24:10 GMT) Full text and rfc822 format available.

Acknowledgement sent to Phillip Lougher <phillip@lougher.demon.co.uk>:
Extra info received and forwarded to list. Copy sent to <wnpp@debian.org>. (Tue, 03 Nov 2009 12:24:11 GMT) Full text and rfc822 format available.

Message #20 received at 553707@bugs.debian.org (full text, mbox):

From: Phillip Lougher <phillip@lougher.demon.co.uk>
To: 553707@bugs.debian.org
Cc: jrnieder@gmail.com, mika@debian.org
Subject: Re: Bug#553707: RFH: lzma -- future of Debian squashfs-lzma
Date: Tue, 03 Nov 2009 11:48:57 +0000
Michael Prokop <mika@debian.org> wrote:

> JFYI: We (the grml team) have working squashfs 4 + lzma patches for
> kernel 2.6.31 and an according squashfs-tools package providing
> lzma support. Please let me know if we can assist in any way.

I believe these patches are based on the OpenWRT Squashfs patches.
In that case I strongly advise against using them in Debian.
The Squashfs 4.0 LZMA filesystems generated by the OpenWRT patches
are incompatible with my 'official' Squashfs LZMA 4.0 filesystems
and will not (and cannot, see below) be officially supported.
While is OK for an embedded system to use incompatible Squashfs
versions (they can just regenerate the filesystem), it is unwise
for a distribution because users will find they cannot read
their LZMA compressed 4.0 filesystems in the future.

A little bit of background is probably necessary to understand
the situation.  First I should mention that I've never been contacted
by the OpenWRT guys and the this is based on a study of their patches.

LZMA support in Squashfs has always been problematic because LZMA
decompression support hasn't been provided by the mainline kernel.
While Squashfs was also out of tree I choose not to officially
support LZMA compression because doing so would have presented
an additional barrier to its mainlining.  This led to numerous
third-party patches to Squashfs 3.x providing LZMA support with
a private LZMA decompression implementation.  Having a private
LZMA decompression implementation is OK as long as you have
no intention of trying to mainline the patches (they'll never
be accepted).

The situation today is different, Squashfs and an LZMA decompression
implementation has been mainlined.  This means it is now possible
to have Squashfs LZMA support mainlined using the in-kernel
LZMA decompression library.  This is what I have been working
towards, and an initial implementation is now ready (see the
original email for the link).

The OpenWRT guys have produced an incompatible Squashfs 4.0 LZMA
implementation using their own private LZMA decompression implementation
(they do not use the in-kernel LZMA decompression library).  The
distinction is important because they have modified the LZMA header in
their implementation to be incompatible with what is expected
by the in-kernel LZMA library and by the standard LZMA SDK
(i.e. the official LZMA SDK and the in-kernel LZMA library cannot
read their LZMA compressed data).

The standard LZMA header is as follows

   0     1   Special LZMA properties (lc,lp, pb in encoded form)
   1     4   Dictionary size (little endian)
   5     8   Uncompressed size (little endian).

OpenWRT have optimised the LZMA header, and have removed
the 8 bye uncompressed size field.  The in-kernel LZMA
library cannot read their LZMA compressed data because it
expects this field to be present.  What this means is their
LZMA compressed filesystems cannot be supported by any
mainlined Squashfs LZMA implementation.

Phillip






Information forwarded to debian-bugs-dist@lists.debian.org, <wnpp@debian.org>:
Bug#553707; Package wnpp. (Tue, 03 Nov 2009 14:39:11 GMT) Full text and rfc822 format available.

Acknowledgement sent to Phillip Lougher <phillip@lougher.demon.co.uk>:
Extra info received and forwarded to list. Copy sent to <wnpp@debian.org>. (Tue, 03 Nov 2009 14:39:12 GMT) Full text and rfc822 format available.

Message #25 received at 553707@bugs.debian.org (full text, mbox):

From: Phillip Lougher <phillip@lougher.demon.co.uk>
To: Phillip Lougher <phillip@lougher.demon.co.uk>
Cc: 553707@bugs.debian.org, jrnieder@gmail.com, mika@debian.org
Subject: Re: Bug#553707: RFH: lzma -- future of Debian squashfs-lzma
Date: Tue, 03 Nov 2009 14:13:22 +0000
Phillip Lougher wrote:
> Michael Prokop <mika@debian.org> wrote:
> 
>> JFYI: We (the grml team) have working squashfs 4 + lzma patches for
>> kernel 2.6.31 and an according squashfs-tools package providing
>> lzma support. Please let me know if we can assist in any way.
> 
> I believe these patches are based on the OpenWRT Squashfs patches.
> In that case I strongly advise against using them in Debian.
> The Squashfs 4.0 LZMA filesystems generated by the OpenWRT patches
> are incompatible with my 'official' Squashfs LZMA 4.0 filesystems
> and will not (and cannot, see below) be officially supported.
> While is OK for an embedded system to use incompatible Squashfs
> versions (they can just regenerate the filesystem), it is unwise
> for a distribution because users will find they cannot read
> their LZMA compressed 4.0 filesystems in the future.
> 

It looks like OpenWRT have moved over to using my patches.

https://dev.openwrt.org/changeset/18267

Phillip




Information forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org:
Bug#553707; Package wnpp. (Tue, 16 Aug 2011 09:27:04 GMT) Full text and rfc822 format available.

Acknowledgement sent to Jonathan Nieder <jrnieder@gmail.com>:
Extra info received and forwarded to list. Copy sent to wnpp@debian.org. (Tue, 16 Aug 2011 09:27:09 GMT) Full text and rfc822 format available.

Message #30 received at 553707@bugs.debian.org (full text, mbox):

From: Jonathan Nieder <jrnieder@gmail.com>
To: 553707@bugs.debian.org
Cc: lzma@packages.debian.org
Subject: Re: RFH: lzma -- future of Debian squashfs-lzma
Date: Tue, 16 Aug 2011 04:22:26 -0500
reassign 553707 lzma-source 4.43-14
retitle 553707 please remove squashfs-lzma module (does not work with current kernel)
severity 553707 important
quit

Hi again,

Jonathan Nieder wrote:

> Good news: squashfs maintainer Phillip Lougher is pushing for
> LZMA support in squashfs 4.0 in the mainline kernel
[...]
>  1. How to support current users until an updated kernel enters sid?

squashfs xz landed in 2.6.38.  Userspace arrived in Debian in
squashfs-tools 1:4.1-1.

[...]
>  2. Once squashfs 4 + lzma is available, is there a need to continue
>     to support squashfs 3 + lzma?

No, unsquashfs takes care of that.

[...]
>  3. More generally, what do people use squashfs-lzma for, and what
>     guarantees do they need in order to do it?

LiveCDs.  Now that squashfs 4 is in mainline, the format is probably
going to remain supported for a while.  Old formats were subject to
change from time to time but unsquashfs can be used to read the older
ones (all the way back to 1.x).

[...]
> I am hoping some squashfs-lzma user can explain how and perhaps take
> on the task of assuring it is well supported for squeeze.

So this is taken care of.  It looks like what's left is to remove the
lzma-source package and perhaps lzma-dev (it has one declared
reverse-build-dependency --- chromium --- which I don't think actually
uses the headers).  That way the rest of the package can be less scary
to modify.  How about something like the following to start?

Thanks,
Jonathan
---
 debian/changelog |    7 +++++++
 debian/control   |   18 ------------------
 debian/rules     |   20 --------------------
 3 files changed, 7 insertions(+), 38 deletions(-)

diff --git a/debian/changelog b/debian/changelog
index 4eb32b95..a5351a73 100644
--- a/debian/changelog
+++ b/debian/changelog
@@ -1,3 +1,10 @@
+lzma (4.43-14.1) local; urgency=low
+
+  * Drop lzma-source package.  It doesn't work with current kernels
+    and SquashFS XZ is part of the standard kernel now.
+
+ -- Jonathan Nieder <jrnieder@gmail.com>  Tue, 16 Aug 2011 03:53:31 -0500
+
 lzma (4.43-14) unstable; urgency=low
 
   * Bump Standards-Version to 3.8.0.
diff --git a/debian/control b/debian/control
index 05c617c1..8f348b77 100644
--- a/debian/control
+++ b/debian/control
@@ -44,24 +44,6 @@ Description: Compression method of 7z format in 7-Zip program - development file
  This package contains the headers and libraries of lzma. It is
  experimental and will be replaced by the library as soon as it is
  available.
- 
-Package: lzma-source
-Architecture: all
-Depends: module-assistant, debhelper (>> 4.0.0), bzip2, make, lzma-dev
-Description: Source for the lzma kernel module
- LZMA is a compression algorithm, based on the famous Lempel Ziv
- compression method.
- .
- The main characteristics of the algorithm are very good compression,
- fast decompression, use of lot of RAM for compression and low usage of
- RAM for decompression.
- .
- LZMA provides high compression ratio and very fast decompression, so it
- is very suitable for embedded applications. For example, it can be used
- for ROM (firmware) compression.
- .
- This package provides the source code for the lzma kernel modules.
- Kernel source and headers are required to compile these modules.
 
 Package: lzma-alone
 Architecture: any
diff --git a/debian/rules b/debian/rules
index c432919c..5d81ea55 100755
--- a/debian/rules
+++ b/debian/rules
@@ -6,7 +6,6 @@
 
 SRC_DIR_C = C/7zip/Compress/LZMA_C
 SRC_DIR_ALONE = C/7zip/Compress/LZMA_Alone
-MOD = $(SRC_DIR_C)/kmod/module.c $(SRC_DIR_C)/uncomp.c
 
 DEB_HOST_GNU_TYPE=$(shell dpkg-architecture -qDEB_HOST_GNU_TYPE)
 DEB_BUILD_GNU_TYPE=$(shell dpkg-architecture -qDEB_BUILD_GNU_TYPE)
@@ -64,25 +63,6 @@ binary-indep: build install
 	dh_link -i
 	dh_compress -i
 	dh_fixperms -i
-
-	# Create the temporary directory for lzma-source
-	mkdir -m755 -p debian/modules/lzma/debian
-
-	# Copy the source and header files
-	install -m644 $(MOD) $(SRC_DIR_C)/LzmaDecode.c $(SRC_DIR_C)/kmod/Makefile \
-		debian/modules/lzma
-
-	# Copy the debian specific files
-	install -m644 debian/changelog debian/compat debian/copyright \
-		debian/control.modules.in debian/modules/lzma/debian
-
-	# This rules file is specific to m-a
-	install -m755 debian/rules.modules \
-		debian/modules/lzma/debian/rules
-
-	# Finally create the tarball which contains the module directory
-	cd debian && tar jcf lzma-source/usr/src/lzma.tar.bz2 modules
-
 	dh_installdeb -i
 	dh_gencontrol -i
 	dh_md5sums -i
-- 
1.7.6





Bug reassigned from package 'wnpp' to 'lzma-source'. Request was from Jonathan Nieder <jrnieder@gmail.com> to control@bugs.debian.org. (Tue, 16 Aug 2011 09:27:31 GMT) Full text and rfc822 format available.

Bug Marked as found in versions lzma/4.43-14. Request was from Jonathan Nieder <jrnieder@gmail.com> to control@bugs.debian.org. (Tue, 16 Aug 2011 09:27:32 GMT) Full text and rfc822 format available.

Changed Bug title to 'please remove squashfs-lzma module (does not work with current kernel)' from 'RFH: lzma -- future of Debian squashfs-lzma' Request was from Jonathan Nieder <jrnieder@gmail.com> to control@bugs.debian.org. (Tue, 16 Aug 2011 09:27:32 GMT) Full text and rfc822 format available.

Severity set to 'important' from 'normal' Request was from Jonathan Nieder <jrnieder@gmail.com> to control@bugs.debian.org. (Tue, 16 Aug 2011 09:27:32 GMT) Full text and rfc822 format available.

Added tag(s) pending. Request was from Mohammed Adnene Trojette <adn+deb@diwi.org> to control@bugs.debian.org. (Fri, 26 Aug 2011 23:27:05 GMT) Full text and rfc822 format available.

Reply sent to Mohammed Adnène Trojette <adn+deb@diwi.org>:
You have taken responsibility. (Sun, 04 Sep 2011 00:21:20 GMT) Full text and rfc822 format available.

Notification sent to Jonathan Nieder <jrnieder@gmail.com>:
Bug acknowledged by developer. (Sun, 04 Sep 2011 00:21:20 GMT) Full text and rfc822 format available.

Message #45 received at 553707-close@bugs.debian.org (full text, mbox):

From: Mohammed Adnène Trojette <adn+deb@diwi.org>
To: 553707-close@bugs.debian.org
Subject: Bug#553707: fixed in lzma 9.22-1
Date: Sun, 04 Sep 2011 00:17:52 +0000
Source: lzma
Source-Version: 9.22-1

We believe that the bug you reported is fixed in the latest version of
lzma, which is due to be installed in the Debian FTP archive:

lzma-alone_9.22-1_amd64.deb
  to main/l/lzma/lzma-alone_9.22-1_amd64.deb
lzma-dev_9.22-1_all.deb
  to main/l/lzma/lzma-dev_9.22-1_all.deb
lzma_9.22-1.debian.tar.gz
  to main/l/lzma/lzma_9.22-1.debian.tar.gz
lzma_9.22-1.dsc
  to main/l/lzma/lzma_9.22-1.dsc
lzma_9.22-1_amd64.deb
  to main/l/lzma/lzma_9.22-1_amd64.deb
lzma_9.22.orig.tar.gz
  to main/l/lzma/lzma_9.22.orig.tar.gz



A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 553707@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Mohammed Adnène Trojette <adn+deb@diwi.org> (supplier of updated lzma package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

Format: 1.8
Date: Sat, 03 Sep 2011 23:27:39 +0200
Source: lzma
Binary: lzma lzma-alone lzma-dev
Architecture: source amd64 all
Version: 9.22-1
Distribution: experimental
Urgency: low
Maintainer: Mohammed Adnène Trojette <adn+deb@diwi.org>
Changed-By: Mohammed Adnène Trojette <adn+deb@diwi.org>
Description: 
 lzma       - Compression and decompression in the LZMA format - command line u
 lzma-alone - Compression and decompression in the LZMA format - legacy utility
 lzma-dev   - Compression and decompression in the LZMA format - development fi
Closes: 460501 466582 470893 518365 535776 536275 540469 547802 553707 614417
Changes: 
 lzma (9.22-1) experimental; urgency=low
 .
   [ Mohammed Adnène Trojette ]
   * New upstream release (Closes: #460501, #518365)
      + LZMA SDK is placed in the public domain since 4.62.
   * Update debian/patches/02_lzmp.diff.
   * Switch packaging under the terms of the BSD license.
   * Switch to dpkg-source 3.0 (quilt) format
      + debian/control: Build-Depends
         - drop quilt.
         - bump debhelper dependency to 8.0.0.
   * Bump Standards-Version to 3.9.2
   * Drop lzma-source package. It doesn't work with current kernels and
     SquashFS XZ is part of the standard kernel now. Patch courtesy of
     Jonathan Nieder. (Closes: #470893, #553707, #466582)
   * Update file list in lzma-dev. (Closes: #614417)
   * Fix and improve descriptions. (Closes: #535776, #540469)
   * Add deb-lzma script to convert a deb package to LZMA format. Script
     courtesy of Roger Millan. (Closes: #536275)
   * Add Jonathan Nieder as comaintainer.
 .
   [ Jonathan Nieder ]
   * Bump debhelper compatibility to 7.
   * Manage lzma, unlzma, and lzcat through the alternatives system.
     Conflicts: xz-lzma (<< 5.1.1alpha+20110809-2). (Closes: #547802)
Checksums-Sha1: 
 6ee89e2e95179ee48d8e72745f35bd807f3bd89f 1239 lzma_9.22-1.dsc
 f26b4d422dd5969dad7fba8138f0781d06d13550 642334 lzma_9.22.orig.tar.gz
 3edbb26ad6fd551db602be578a720456ea18226e 17655 lzma_9.22-1.debian.tar.gz
 c0492d33f06141f07d8a19a9388c92702671b768 55146 lzma_9.22-1_amd64.deb
 457806f66bdd45718dec42257f4246a2496834aa 77998 lzma-alone_9.22-1_amd64.deb
 b505db9499c64f45e7ac3a240f4aed6c501570ce 49286 lzma-dev_9.22-1_all.deb
Checksums-Sha256: 
 e876a32317d668de91ced89c844b1e98b301c28ef2d1560752a1bfa7f0ecb8b3 1239 lzma_9.22-1.dsc
 0fa2ec459701e403b72662cf920d252466910161fa2077dd0f6d7c078002da19 642334 lzma_9.22.orig.tar.gz
 a4ad098d27e9698f49c28ab0072f53c1ef916101d689bb9eeb1f1bd45848d3b7 17655 lzma_9.22-1.debian.tar.gz
 687ff549377dd275ad072066c838f6af840d32df3c83101a84c6eb29ad3de919 55146 lzma_9.22-1_amd64.deb
 b08c8a38c1aee54fe258c7b819225ab105106264b30ba415f54aa0b8f55e2987 77998 lzma-alone_9.22-1_amd64.deb
 da4be589624cdf0c707d96362e0373319240f876dfafd282043b656e66d02887 49286 lzma-dev_9.22-1_all.deb
Files: 
 257b06c9451f8724249b2738c24470a2 1239 utils optional lzma_9.22-1.dsc
 bfdcf75308860aa983f7e4293e93b652 642334 utils optional lzma_9.22.orig.tar.gz
 b0b975e5530fdedeb1afe17f376e0ef0 17655 utils optional lzma_9.22-1.debian.tar.gz
 1c818904c33d6257837144eb011b399a 55146 utils optional lzma_9.22-1_amd64.deb
 28a10dff43ad21186c5d479f1c39f2e0 77998 utils optional lzma-alone_9.22-1_amd64.deb
 97df602aa6bd64ccff4d76b44d3f6afb 49286 utils optional lzma-dev_9.22-1_all.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.11 (GNU/Linux)

iEYEARECAAYFAk5ipPQACgkQOU3FkQ7XBOp42QCdH4nRe3p3zB/b1gMpVTWAbo8V
NiwAoNV12bH69gciqpuAmBEmzPrE3Gg9
=7PyD
-----END PGP SIGNATURE-----





Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Thu, 19 Jan 2012 07:33:04 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Fri Apr 25 08:43:38 2014; Machine Name: beach.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.